[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[PATCH 1/3] Limit grub stage2 md members' device type and metadata version.



MD array members can only be partitions and arrays must use
v1.0 or older metadata.
---
 pyanaconda/bootloader.py |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/pyanaconda/bootloader.py b/pyanaconda/bootloader.py
index eae37a3..d62fb91 100644
--- a/pyanaconda/bootloader.py
+++ b/pyanaconda/bootloader.py
@@ -1011,6 +1011,8 @@ class GRUB(BootLoader):
     # list of strings representing options for boot device types
     stage2_device_types = ["partition", "mdarray"]
     stage2_raid_levels = [mdraid.RAID1]
+    stage2_raid_member_types = ["partition"]
+    stage2_raid_metadata = ["0", "0.90", "1.0"]
 
     packages = ["grub"]
 
-- 
1.7.6


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]